cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Adventurer
Adventurer
398 Views
Registered: ‎04-08-2019

Ubuntu 2018.3 build error

Hello,

I am trying to create an ubuntu 2018.3 image to install it on Zynq zcu102 ver1.1 following the tutorial bellow but when I am reaching at petalinux-build command I am receiving an error about "ERROR: Nothing PROVIDES 'virtual/pmu-firmware'". I have stuck, I cannot find any solution and I would be very happy if you could help me.

Tutorial: https://xilinx-wiki.atlassian.net/wiki/spaces/A/pages/18841937/Zynq+UltraScale+MPSoC+Ubuntu+part+2+-+Building+and+Running+the+Ubuntu+Desktop+From+Sources

Thanos

Tags (3)
Screenshot from 2019-05-09 14-55-41.png
0 Kudos
2 Replies
Highlighted
Moderator
Moderator
367 Views
Registered: ‎02-07-2018

HI @p8grs 

Can ypu please try to remove this content "virtual/pmu-firware" from below file & build again.

vim ./project-spec/meta-plnx-generated/recipes-core/images/petalinux-user-image.bb

 

Thanks & regards

Aravind

----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.
Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------

0 Kudos
Highlighted
Adventurer
Adventurer
346 Views
Registered: ‎04-08-2019

I tried that but it did not work because it was my problem, I was trying to run petalinux 2018.3 bsp on petalinux 2017.3 installation (long story why). I download petalinx 2017.3 bsp and everything worked perfect even when I combine the BOOT.bin and image.ub with 2018.3 ubuntu in the tutorial above. Thank you for your time anyway.

0 Kudos